## org.apache.xerces.xni.grammars
Interface XSGrammar

All Superinterfaces:
  Grammar

public interface XSGrammar
extends Grammar

Representing a schema grammar. It contains declaratoin/definitions from a certain namespace. When a grammar is preparsed, and its grammar type is XML Schema, it can be casted to this interface. Objects of this interface can be converted to XSModel, from which further information about components in this grammar can be obtained.

Version:
  $Id: XSGrammar.java,v 1.1 2002/08/23 14:37:49 sandygao Exp $
Author:
  Sandy Gao, IBM

Method Summary
`org.apache.xerces.impl.xs.psvi.XSModel` `toXSModel()` Return an `XSModel` that represents components in this schema grammar and any schema grammars that are imported by this grammar directly or indirectly.

Methods inherited from interface org.apache.xerces.xni.grammars.Grammar
`getGrammarDescription`

Method Detail

### toXSModel

    public org.apache.xerces.impl.xs.psvi.XSModel toXSModel()

  Return an `XSModel` that represents components in this schema grammar and any schema grammars that are imported by this grammar directly or indirectly.
  Returns:
    an `XSModel` representing this schema grammar

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.